[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TNodeAttachMode

TNodeAttachMode - enumerated type denoting mode of attachment of TreeNodes

## Declaration

Source position: comctrls.pp line 1792

`type TNodeAttachMode = (`
`naAdd,` |  |
`naAddFirst,` |  |
`naAddChild,` |  |
`naAddChildFirst,` |  |
`naInsert,` |  |
`naInsertBehind` |  |
`);`

## Description

TNodeAttachMode - enumerated type denoting mode of attachment of TreeNodes

    naAdd,           // add as last sibling of Destination
        naAddFirst,      // add as first sibling of Destination
        naAddChild,      // add as last child of Destination
        naAddChildFirst, // add as first child of Destination
        naInsert,        // insert in front of Destination
        naInsertBehind   // insert behind Destination

The latest version of this document can be found at lazarus-ccr.sourceforge.net.